Brew can't search: error: execution expired

i can’t search something, and also can install anything.

That’s unfortunate. Can you tell me the following things:

  • did you run brew update?
  • did you run brew doctor, fixed all issues and can still reproduce the problem?
  • can you include the output of brew config and brew doctor?
  • can you tell me step-by-step reproduction instructions (by running brew commands)?

i had the same problem, i found it was caused by http.rb:880 ‘initialize’.

Error: execution expired
/System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/net/http.rb:880:in initialize' /System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/net/http.rb:880:inopen’
/System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/net/http.rb:880:in block in connect' /System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/timeout.rb:101:intimeout’
/System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/net/http.rb:878:in connect' /System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/net/http.rb:863:indo_start’
/System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/net/http.rb:852:in start' /System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/open-uri.rb:319:inopen_http’
/System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/open-uri.rb:737:in buffer_open' /System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/open-uri.rb:212:inblock in open_loop’
/System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/open-uri.rb:210:in catch' /System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/open-uri.rb:210:inopen_loop’
/System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/open-uri.rb:151:in open_uri' /System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/open-uri.rb:717:inopen’
/System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/open-uri.rb:725:in read' /usr/local/Homebrew/Library/Taps/homebrew/homebrew-cask-versions/Casks/microsoft-edge-canary.rb:6:infile_version’
/usr/local/Homebrew/Library/Taps/homebrew/homebrew-cask-versions/Casks/microsoft-edge-canary.rb:15:in block in load' /usr/local/Homebrew/Library/Homebrew/cask/cask.rb:50:ininstance_eval’
/usr/local/Homebrew/Library/Homebrew/cask/cask.rb:50:in config=' /usr/local/Homebrew/Library/Homebrew/cask/cask.rb:41:ininitialize’
/usr/local/Homebrew/Library/Homebrew/cask/cask_loader.rb:35:in new' /usr/local/Homebrew/Library/Homebrew/cask/cask_loader.rb:35:incask’
/usr/local/Homebrew/Library/Homebrew/cask/cask_loader.rb:75:in cask' /usr/local/Homebrew/Library/Homebrew/cask/cask_loader.rb:121:incask’
/usr/local/Homebrew/Library/Taps/homebrew/homebrew-cask-versions/Casks/microsoft-edge-canary.rb:1:in load' /usr/local/Homebrew/Library/Homebrew/cask/cask_loader.rb:62:ininstance_eval’
/usr/local/Homebrew/Library/Homebrew/cask/cask_loader.rb:62:in load' /usr/local/Homebrew/Library/Homebrew/cask/cask.rb:23:inblock in each’
/usr/local/Homebrew/Library/Homebrew/cask/cask.rb:21:in each' /usr/local/Homebrew/Library/Homebrew/cask/cask.rb:21:ineach’
/usr/local/Homebrew/Library/Homebrew/searchable.rb:29:in select' /usr/local/Homebrew/Library/Homebrew/searchable.rb:29:insearch_string’
/usr/local/Homebrew/Library/Homebrew/searchable.rb:9:in search' /usr/local/Homebrew/Library/Homebrew/extend/os/mac/search.rb:31:insearch_casks’
/usr/local/Homebrew/Library/Homebrew/cmd/search.rb:88:in search' /usr/local/Homebrew/Library/Homebrew/brew.rb:102:in

I know the problem.
all_proxy was available before, but it is not available now, only https_proxy can be used instead.

I’m having the same problem. What exactly is the solution? What do I have to do?

Edit: It seems to have resolved itself.